apiVersion: external-secrets.io/v1beta1
kind: SecretStore
metadata:
  name: onboardbase-external-secret-store
spec:
  provider:
    onboardbase:
      project: project-name # can be altered from here
      environment: development # can be altered from here
      auth:
        apiKey:
          name: onboardbase-auth-secret
          key: onboardbase-api-key 
        passcode:
          name: onboardbase-auth-secret
          key: onboardbase-passcode